Name:           dns_flood_detector
Version:        1.12
Release:        1%{?dist}
Summary:        DNS Flood Detector

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://www.adotout.com/
Source0:        http://www.adotout.com/dnsflood-%{version}.tgz
Source1:        %{name}.1.gz
Source2:        %{name}.init
Source3:        %{name}.sysconfig
Patch0:         dnsflood-1.12-CFLAGS.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts


%description
DNS Flood Detector was developed to detect abusive usage levels 
on high traffic nameservers and to enable quick response in 
halting the use of one's nameserver to facilitate spam. 
DNS Flood Detector uses libpcap (in non-promiscuous mode) to monitor 
incoming dns queries to a nameserver. 
The tool may be run in one of two modes, either daemon mode or "bindsnap" mode.
In daemon mode, the tool will alarm via syslog. In bindsnap mode, the user is 
able to get near-real-time stats on usage to aid in more detailed 
troubleshooting.


%prep
%setup -q -n dns_flood_detector
%patch0 -p1 -b .CFLAGS

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -D_BSD_SOURCE" -f ./makefiles/Makefile-Linux


%install
rm -rf $RPM_BUILD_ROOT
%{__install} -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
%{__install} -D -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/%{name}
%{__install} -D -m 755 %{name}    $RPM_BUILD_ROOT%{_sbindir}/%{name}
%{__install} -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1.gz


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi


%files
%defattr(-,root,root,-)
%doc LICENSE README
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_initrddir}/%{name}
%{_sbindir}/dns_flood_detector
%{_mandir}/man1/*



%changelog
* Mon Jan 21 2008 Denis Frolov <d.frolov81 at mail.ru> 1.12-1
- Initial build for Red Hat Club Repository

